# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with coreonly
%bcond_without apps
%bcond_with gcj_support
%bcond_with jsf_ri
%bcond_without zips

%if %with apps
%bcond_with coreonly
%endif

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define full_name       jakarta-%{name}
%define tomcat5appsdir  %{_localstatedir}/lib/tomcat5/webapps
%define tomcat5ctxdir   %{_sysconfdir}/tomcat5/Catalina/localhost
%define webapps         blank documentation example examples tiles-documentation
%define webapplibs      commons-beanutils commons-digester commons-fileupload commons-validator jakarta-oro struts
%define section         free

Name:           struts
Version:        1.3.8
Release:        1.45%{?dist}
Epoch:          0
Summary:        Web application framework
License:        ASL 2.0
Group:          Development/Libraries/Java
Url:            http://struts.apache.org/
Source0:        %{name}-%{version}-all.zip
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-master.pom
Source4:        %{name}-checks.xml
Source5:        %{name}-jpp-depmap-tests.xml
Patch0:         struts-1.3.8-core-pom.patch
Patch1:         struts-1.3.8-Tomcat5xTestSetup.patch
Patch2:         struts-1.3.8-assembly-pom.patch
Patch3:         struts-1.3.8-taglib-pom.patch
Patch4:         struts-1.3.8-pom.patch
# Part of updating the syntax in site.xml for the new site plugin
Patch5:         struts-site.patch
Patch6:         struts-1.3.8-no-sign.patch
Patch7:         struts-1.3.8-no-versions.patch
Patch8:         struts-1.3.8-jsf-ri.patch
Patch9:         struts-1.3.8-no-apps.patch
Patch10:        struts-1.3.8-web-xml-version.patch
Patch11:        struts-1.3.8-apps-scripting-mailreader.patch
Obsoletes:      struts-webapps-tomcat3 < %{epoch}:%{version}
Provides:       struts-webapps-tomcat3 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-webapps-tomcat4 < %{epoch}:%{version}
Provides:       struts-webapps-tomcat4 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-webapps-tomcat5 < %{epoch}:%{version}
Provides:       struts-webapps-tomcat5 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-chain-webapps-tomcat3 < %{epoch}:%{version}
Provides:       struts-chain-webapps-tomcat3 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-chain-webapps-tomcat4 < %{epoch}:%{version}
Provides:       struts-chain-webapps-tomcat4 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-chain-webapps-tomcat5 < %{epoch}:%{version}
Provides:       struts-chain-webapps-tomcat5 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-el-webapps-tomcat3 < %{epoch}:%{version}
Provides:       struts-el-webapps-tomcat3 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-el-webapps-tomcat4 < %{epoch}:%{version}
Provides:       struts-el-webapps-tomcat4 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-el-webapps-tomcat5 < %{epoch}:%{version}
Provides:       struts-el-webapps-tomcat5 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-faces-webapps-tomcat3 < %{epoch}:%{version}
Provides:       struts-faces-webapps-tomcat3 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-faces-webapps-tomcat4 < %{epoch}:%{version}
Provides:       struts-faces-webapps-tomcat4 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-faces-webapps-tomcat5 < %{epoch}:%{version}
Provides:       struts-faces-webapps-tomcat5 = %{epoch}:%{version}-%{release}
Obsoletes:      struts-chain < %{epoch}:%{version}
Provides:       struts-chain = %{epoch}:%{version}-%{release}
BuildRequires:  jpackage-utils >= 1.7.3
BuildRequires:  java-devel >= 1.5.0
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  junit
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-checkstyle
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-gpg
BuildRequires:  maven2-plugin-pmd
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-jxr
BuildRequires:	maven-shared
BuildRequires:	maven-shared-jar
BuildRequires:	maven-shared-reporting-impl
BuildRequires:	maven-shared-dependency-analyzer
BuildRequires:	maven-shared-dependency-tree
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:	maven-surefire-provider-junit
BuildRequires:  maven-surefire-report-maven-plugin
BuildRequires:  plexus-resources
BuildRequires:  cargo-maven2-plugin
BuildRequires:  dtddoc-maven2-plugin
BuildRequires:  taglib-maven2-plugin
BuildRequires:  bcel
BuildRequires:  checkstyle < 0:5.0
BuildRequires:  checkstyle-optional
BuildRequires:  jhighlight
BuildRequires:  maven2-skins
BuildRequires:  maven2-default-skin

BuildRequires:  jakarta-taglibs-standard
%if %without jsf_ri
BuildRequires:  myfaces
%else
BuildRequires:  glassfish-jsf
%endif
BuildRequires:  antlr
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-fileupload
BuildRequires:  jakarta-commons-logging >= 0:1.1
BuildRequires:  jakarta-commons-validator
BuildRequires:  jakarta-oro
BuildRequires:  xpp3-minimal
%if %without coreonly
BuildRequires:  struts = %{epoch}:%{version}
BuildRequires:  struts-el = %{epoch}:%{version}
BuildRequires:  struts-faces = %{epoch}:%{version}
BuildRequires:  struts-mailreader-dao = %{epoch}:%{version}
BuildRequires:  struts-scripting = %{epoch}:%{version}
BuildRequires:  struts-taglib = %{epoch}:%{version}
BuildRequires:  struts-tiles = %{epoch}:%{version}
BuildRequires:  unzip
BuildRequires:  zip
%endif
# For compilation
BuildRequires:  servletapi4
# For tests
BuildRequires:  tomcat5-servlet-2.4-api
BuildRequires:  tomcat6-el-1.0-api
BuildRequires:  tomcat5-jsp-2.0-api
BuildRequires:  tomcat6-jsp-2.1-api
%if %without coreonly
BuildRequires:  bsf
BuildRequires:  cssparser
BuildRequires:  avalon-framework
BuildRequires:  avalon-logkit
#BuildRequires:  groovy-jsr
BuildRequires:  groovy
BuildRequires:  jakarta-commons-chain
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-el
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  log4j
BuildRequires:  htmlunit
%endif

Requires:       antlr
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-chain
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-fileupload
Requires:       jakarta-commons-logging >= 0:1.1
Requires:       jakarta-commons-validator
Requires:       jakarta-oro
Requires:       antlr
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-chain
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-fileupload
Requires:       jakarta-commons-logging >= 0:1.1
Requires:       jakarta-commons-validator
#Provided:      jsp_api
#Provided:      tomcat5-jsp-2.0-api
#Optional:      junit
#Provided:      servlet_api
#Provided:      tomcat5-servlet-2.4-api
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
Buildarch:      noarch
%endif
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Welcome to the Struts Framework! The goal of this project is to provide
an open source framework useful in building web applications with Java
Servlet and JavaServer Pages (JSP) technology. Struts encourages
application architectures based on the Model-View-Controller (MVC)
design paradigm, colloquially known as Model 2 in discussions on various
servlet and JSP related mailing lists.

Struts includes the following primary areas of functionality:
A controller servlet that dispatches requests to appropriate Action
classes provided by the application developer.
JSP custom tag libraries, and associated support in the controller
servlet, that assists developers in creating interactive form-based
applications.

Utility classes to support XML parsing, automatic population of
JavaBeans properties based on the Java reflection APIs, and
internationalization of prompts and messages.
Struts is part of the Jakarta Project, sponsored by the Apache Software
Foundation. The official Struts home page is at
http://jakarta.apache.org/struts.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation
Requires:       %{name}-javadoc = %{epoch}:%{version}-%{release}

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%if %without coreonly
%package el
Summary:        The %{name} EL extension
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-taglib = %{epoch}:%{version}-%{release}
Requires:       %{name}-tiles = %{epoch}:%{version}-%{release}
Requires:       jakarta-taglibs-standard

%description el
%{summary}.

%package faces
Summary:        The %{name}-faces integration library
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-taglib = %{epoch}:%{version}-%{release}
Requires:       %{name}-tiles = %{epoch}:%{version}-%{release}
%if %without jsf_ri
#Optional:      myfaces
%else
#Optional:      glassfish-jsf
%endif

%description faces
%{summary}.

%package mailreader-dao
Summary:        %{name} mailreader-dao library
Group:          Development/Java
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-logging

%description mailreader-dao
%{summary}.

%package scripting
Summary:        %{name} scripting library
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       bsf

%description scripting
%{summary}.

%package taglib
Summary:        %{name} taglib library
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description taglib
%{summary}.

%package tiles
Summary:        %{name} tiles library
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description tiles
%{summary}.

%if %with apps
%package webapp-blank
Summary:        Sample %{name} blank webapp
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       avalon-framework
Requires:       avalon-logkit
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-chain
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-validator
Requires:       log4j
Requires:       jakarta-oro
Requires:       struts = %{epoch}:%{version}-%{release}
Requires:       struts-taglib = %{epoch}:%{version}-%{release}
Requires:       struts-tiles = %{epoch}:%{version}-%{release}

%description webapp-blank
%{summary}.

%package webapp-cookbook
Summary:        Sample %{name} cookbook webapp
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       avalon-framework
Requires:       avalon-logkit
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-chain
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-validator
Requires:       log4j
Requires:       jakarta-oro
Requires:       struts = %{epoch}:%{version}-%{release}
Requires:       struts-taglib = %{epoch}:%{version}-%{release}

%description webapp-cookbook
%{summary}.

%package webapp-el-example
Summary:        Sample %{name} EL webapp
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       avalon-framework
Requires:       avalon-logkit
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-chain
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-validator
Requires:       jakarta-taglibs-standard
Requires:       log4j
Requires:       jakarta-oro
Requires:       struts = %{epoch}:%{version}-%{release}
Requires:       struts-el = %{epoch}:%{version}-%{release}
Requires:       struts-taglib = %{epoch}:%{version}-%{release}

%description webapp-el-example
%{summary}.

%package webapp-examples
Summary:        Sample %{name} webapp
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       avalon-framework
Requires:       avalon-logkit
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-chain
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-fileupload
Requires:       jakarta-commons-io
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-validator
Requires:       jakarta-taglibs-standard
Requires:       log4j
Requires:       jakarta-oro
Requires:       struts = %{epoch}:%{version}-%{release}
Requires:       struts-taglib = %{epoch}:%{version}-%{release}

%description webapp-examples
%{summary}.

%package webapps-faces
Summary:        Sample %{name} faces webapps
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       avalon-framework
Requires:       avalon-logkit
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-chain
Requires:       jakarta-commons-codec
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-el
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-validator
Requires:       jakarta-taglibs-standard
Requires:       log4j
%if %with jsf_ri
#Optional:      myfaces
%else
#Optional:      glassfish-jsf
%endif
Requires:       jakarta-oro
Requires:       struts = %{epoch}:%{version}-%{release}
Requires:       struts-faces = %{epoch}:%{version}-%{release}
Requires:       struts-taglib = %{epoch}:%{version}-%{release}
Requires:       struts-tiles = %{epoch}:%{version}-%{release}

%description webapps-faces
%{summary}.

%package webapp-mailreader
Summary:        Sample %{name} mailreader webapp
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       avalon-framework
Requires:       avalon-logkit
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-chain
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-validator
Requires:       log4j
Requires:       jakarta-oro
Requires:       struts = %{epoch}:%{version}-%{release}
Requires:       struts-mailreader-dao = %{epoch}:%{version}-%{release}
Requires:       struts-taglib = %{epoch}:%{version}-%{release}

%description webapp-mailreader
%{summary}.

%package webapp-scripting-mailreader
Summary:        Sample %{name} scripting mailreader webapp
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       bsf
Requires:       avalon-framework
Requires:       avalon-logkit
# REDHAT: groovy we hadcopy as we don't want to ship the groovy package
#Requires:      groovy-jsr
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-chain
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-validator
Requires:       log4j
Requires:       jakarta-oro
Requires:       struts = %{epoch}:%{version}-%{release}
Requires:       struts-mailreader-dao = %{epoch}:%{version}-%{release}
Requires:       struts-scripting = %{epoch}:%{version}-%{release}
Requires:       struts-taglib = %{epoch}:%{version}-%{release}

%description webapp-scripting-mailreader
%{summary}.
%endif
%endif

%if %with zips
%package zip
Summary:     Container for the zipped distribution of struts
Group:       Development

%description zip
Container for the zipped distribution of struts.

%package src-zip
Summary:     Container for the sources of struts
Group:       Development

%description src-zip
Container for the sources of struts.
%endif

%prep
%setup -q

# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
#for j in $(find . -name "*.jar"); do
#    mv $j $j.no
#done
# All libraries are in lib
rm -f lib/*
# Also, clean the apps and docs directories as these must come from this build
rm -fr apps/*
rm -fr docs/*

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
# Part of updating the syntax in site.xml for the new site plugin
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%if %with jsf_ri
%patch8 -b .sav8
%endif
%if %without apps
%patch9 -b .sav9
%endif
%patch10 -p0
%patch11 -p0

# Finish updating the syntax in site.xml for the new site plugin
for j in $(find . -name "site.xml"); do
    perl -p -i -e 's/\$\{reports\}/\<menu ref=\"reports\" \/\>/' $j
done

%if %without jsf_ri
perl -pi -e 's/^MYFACES_BEGIN.*\n$//g;' \
         -e 's/^MYFACES_END.*\n$//g;' \
%else
perl -pi -e 's/^MYFACES_BEGIN.*\n$/<!--\r\n/g;' \
         -e 's/^MYFACES_END.*\n$/-->\r\n/g;' \
%endif
    src/apps/faces-example1/src/main/webapp/WEB-INF/web.xml \
    src/apps/faces-example2/src/main/webapp/WEB-INF/web.xml

%if %with zips
# Create src-zip 
mkdir -p dist/%{name}-%{version}
cd dist/%{name}-%{version}
cp -R ../../src .
cp -R ../../*.txt .
zip -q -r ../%{name}-%{version}-src.zip * -x \*.sav*
rm -Rf src
cd ../../
%endif

cp -p %{SOURCE3} pom.xml

%build
cp %{SOURCE1} maven2-settings.xml
CHECK_XML_LOCATION=`pwd`/struts_checks.xml
cp %{SOURCE4} $CHECK_XML_LOCATION

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<configLocation>__STRUTS_CHECKS__</configLocation>|<configLocation>file://$CHECK_XML_LOCATION</configLocation>|g" src/pom.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms

export MAVEN_OPTS="-Xmx256M -Djava.awt.headless=true"
pushd src
mvn-jpp -e \
%if %with apps
        -P  apps,itest,pre-assembly \
%else
        -P  itest,pre-assembly \
%endif
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.test.failure.ignore=true \
        -Dcargo.tomcat5x.home=%{_datadir}/tomcat5 \
        install
mvn-jpp -e \
%if %with apps
        -P  apps,itest,pre-assembly \
%else
        -P  itest,pre-assembly \
%endif
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE5} \
        -Dmaven.test.failure.ignore=true \
        -Dcargo.tomcat5x.home=%{_datadir}/tomcat5 \
        site
popd
pushd src/assembly
mvn-jpp -e \
        -P  apps,itest,pre-assembly \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.test.failure.ignore=true \
        -Dcargo.tomcat5x.home=%{_datadir}/tomcat5 \
        assembly:assembly
popd

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 src/core/target/struts-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-core-%{version}.jar
%if %without coreonly
install -m 644 src/el/target/struts-el-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-el-%{version}.jar
install -m 644 src/extras/target/struts-extras-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-extras-%{version}.jar
install -m 644 src/faces/target/struts-faces-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-faces-%{version}.jar
install -m 644 src/mailreader-dao/target/struts-mailreader-dao-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-mailreader-dao-%{version}.jar
install -m 644 src/scripting/target/struts-scripting-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-scripting-%{version}.jar
install -m 644 src/taglib/target/struts-taglib-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-taglib-%{version}.jar
install -m 644 src/tiles/target/struts-tiles-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-tiles-%{version}.jar
%endif
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{_datadir}/%{name}/apps struts-apps
popd

# poms and depmap frags
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%if %with apps
install -m 644 src/apps/blank/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.struts-apps-blank.pom
%add_to_maven_depmap org.apache.struts struts-blank %{version} JPP/%{name}-apps blank
install -m 644 src/apps/cookbook/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.struts-apps-cookbook.pom
%add_to_maven_depmap org.apache.struts struts-cookbook %{version} JPP/%{name}-apps cookbook
install -m 644 src/apps/el-example/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.struts-apps-el-example.pom
%add_to_maven_depmap org.apache.struts struts-el %{version} JPP/%{name}-apps el-example
install -m 644 src/apps/examples/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.struts-apps-examples.pom
%add_to_maven_depmap org.apache.struts struts-examples %{version} JPP/%{name}-apps examples
install -m 644 src/apps/faces-example1/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.struts-apps-faces-example1.pom
%add_to_maven_depmap org.apache.struts struts-faces-example1 %{version} JPP/%{name}-apps faces-example1
install -m 644 src/apps/faces-example2/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.struts-apps-faces-example2.pom
%add_to_maven_depmap org.apache.struts struts-faces-example2 %{version} JPP/%{name}-apps faces-example2
install -m 644 src/apps/mailreader/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.struts-apps-mailreader.pom
%add_to_maven_depmap org.apache.struts struts-mailreader %{version} JPP/%{name}-apps mailreader
install -m 644 src/apps/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-apps.pom
%add_to_maven_depmap org.apache.struts struts-apps %{version} JPP %{name}-apps
install -m 644 src/apps/scripting-mailreader/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.struts-apps-scripting-mailreader.pom
%add_to_maven_depmap org.apache.struts struts-scripting-mailreader %{version} JPP/%{name}-apps scripting-mailreader
%endif
install -m 644 src/assembly/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-assembly.pom
%add_to_maven_depmap org.apache.struts struts-assembly %{version} JPP %{name}-assembly
install -m 644 src/core/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts.pom
%add_to_maven_depmap org.apache.struts struts-core %{version} JPP %{name}
install -m 644 src/el/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-el.pom
%add_to_maven_depmap org.apache.struts struts-el %{version} JPP %{name}-el
install -m 644 src/extras/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-extras.pom
%add_to_maven_depmap org.apache.struts struts-extras %{version} JPP %{name}-extras
install -m 644 src/faces/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-faces.pom
%add_to_maven_depmap org.apache.struts struts-faces %{version} JPP %{name}-faces
install -m 644 src/integration/apps-it/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-it-apps.pom
%add_to_maven_depmap org.apache.struts struts-it-apps %{version} JPP %{name}-it-apps
install -m 644 src/integration/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-it.pom
%add_to_maven_depmap org.apache.struts struts-it %{version} JPP %{name}-it
install -m 644 src/mailreader-dao/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-mailreader-dao.pom
%add_to_maven_depmap org.apache.struts struts-mailreader-dao %{version} JPP %{name}-mailreader-dao
install -m 644 src/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-parent.pom
%add_to_maven_depmap org.apache.struts struts-parent %{version} JPP %{name}-parent
install -m 644 src/scripting/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-scripting.pom
%add_to_maven_depmap org.apache.struts struts-scripting %{version} JPP %{name}-scripting
install -m 644 src/taglib/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-taglib.pom
%add_to_maven_depmap org.apache.struts struts-taglib %{version} JPP %{name}-taglib
install -m 644 src/tiles/pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-struts-tiles.pom
%add_to_maven_depmap org.apache.struts struts-tiles %{version} JPP %{name}-tiles

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr src/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

install -m 644 src/tiles/src/main/resources/META-INF/tld/struts*.tld $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 src/taglib/src/main/resources/META-INF/tld/struts*.tld $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 src/el/src/main/resources/META-INF/tld/struts*.tld $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 src/faces/src/main/resources/META-INF/tld/struts*.tld $RPM_BUILD_ROOT%{_datadir}/%{name}

install -m 644 src/target/site/dtds/struts*.dtd $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 src/target/site/dtds/tiles*.dtd $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 src/target/site/dtds/web-app*.dtd $RPM_BUILD_ROOT%{_datadir}/%{name}

install -m 644 src/core/target/classes/org/apache/struts/validator/vali*.xml $RPM_BUILD_ROOT%{_datadir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/apps

%if %without coreonly
%if %with apps
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/apps
rm -rf blank.war
mkdir blank.war
pushd blank.war
unzip -qq $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-blank-%{version}.war
pushd WEB-INF/lib
rm oro-2.0.8.jar
ln -s $(build-classpath oro)
rm commons-collections-1.7.0.jar
ln -s $(build-classpath commons-collections)
rm struts-taglib-1.3.8.jar
ln -s $(build-classpath struts-taglib)
rm struts-tiles-1.3.8.jar
ln -s $(build-classpath struts-tiles)
rm antlr-2.7.2.jar
ln -s $(build-classpath antlr)
rm commons-chain-1.1.jar
ln -s $(build-classpath commons-chain)
rm struts-core-1.3.8.jar
ln -s $(build-classpath struts) struts-core.jar
rm commons-logging-1.0.4.jar
ln -s $(build-classpath commons-logging)
rm commons-validator-1.3.1.jar
ln -s $(build-classpath commons-validator)
rm commons-beanutils-1.7.0.jar
ln -s $(build-classpath commons-beanutils)
rm commons-digester-1.8.jar
ln -s $(build-classpath commons-digester)
[ -z "`find ! -type l -name '*.jar'`" ] || exit 1
popd
rm $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-blank-%{version}.war
zip -q -r $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-blank-%{version}.war .
popd
rm -rf cookbook.war
mkdir cookbook.war
pushd cookbook.war
unzip -qq $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-cookbook-%{version}.war
pushd WEB-INF/lib
rm oro-2.0.8.jar
ln -s $(build-classpath oro)
rm commons-collections-1.7.0.jar
ln -s $(build-classpath commons-collections)
rm struts-taglib-1.3.8.jar
ln -s $(build-classpath struts-taglib)
rm antlr-2.7.2.jar
ln -s $(build-classpath antlr)
rm commons-chain-1.1.jar
ln -s $(build-classpath commons-chain)
rm struts-core-1.3.8.jar                                                                                                                                   
ln -s $(build-classpath struts) struts-core.jar
rm commons-logging-1.0.4.jar
ln -s $(build-classpath commons-logging)
rm commons-validator-1.3.1.jar
ln -s $(build-classpath commons-validator)
rm commons-beanutils-1.7.0.jar
ln -s $(build-classpath commons-beanutils)
rm commons-digester-1.8.jar
ln -s $(build-classpath commons-digester)
[ -z "`find ! -type l -name '*.jar'`" ] || exit 1
popd
rm $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-cookbook-%{version}.war
zip -q -r $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-cookbook-%{version}.war . 
popd
rm -rf el-example.war
mkdir el-example.war
pushd el-example.war
unzip -qq $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-el-example-%{version}.war
pushd WEB-INF/lib
# struts-el-example-1.3.8.war
rm oro-2.0.8.jar                                                                                                                                           
ln -s $(build-classpath oro)
rm commons-collections-1.7.0.jar                                                                                                                           
ln -s $(build-classpath commons-collections)
rm struts-taglib-1.3.8.jar                                                                                                                                 
ln -s $(build-classpath struts-taglib)
rm standard-1.0.2.jar                                                                                                                                      
ln -s $(build-classpath jakarta-taglibs-standard) standard.jar
rm struts-el-1.3.8.jar                                                                                                                                     
ln -s $(build-classpath struts-el)
rm antlr-2.7.2.jar                                                                                                                                         
ln -s $(build-classpath antlr)
rm commons-chain-1.1.jar                                                                                                                                   
ln -s $(build-classpath commons-chain)
rm struts-core-1.3.8.jar                                                                                                                                   
ln -s $(build-classpath struts) struts-core.jar
rm commons-logging-1.0.4.jar                                                                                                                               
ln -s $(build-classpath commons-logging)
rm commons-validator-1.3.1.jar                                                                                                                             
ln -s $(build-classpath commons-validator)
rm commons-beanutils-1.7.0.jar                                                                                                                             
ln -s $(build-classpath commons-beanutils)
rm commons-digester-1.8.jar                                                                                                                                
ln -s $(build-classpath commons-digester)
rm jstl-1.0.2.jar                                                                                                                                          
ln -s $(build-classpath jakarta-taglibs-core) jstl.jar
[ -z "`find ! -type l -name '*.jar'`" ] || exit 1
popd
rm $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-el-example-%{version}.war
zip -q -r $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-el-example-%{version}.war .
popd
rm -rf examples.war
mkdir examples.war
pushd examples.war
unzip -qq $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-examples-%{version}.war
pushd WEB-INF/lib
# struts-examples-1.3.8.war
rm standard-1.0.6.jar
ln -s $(build-classpath jakarta-taglibs-standard) standard.jar
rm oro-2.0.8.jar
ln -s $(build-classpath oro)
rm commons-collections-1.7.0.jar
ln -s $(build-classpath commons-collections)
rm struts-taglib-1.3.8.jar
ln -s $(build-classpath struts-taglib)
rm antlr-2.7.2.jar                                                                                                                                         
ln -s $(build-classpath antlr)
rm commons-chain-1.1.jar                                                                                                                                   
ln -s $(build-classpath commons-chain)
rm struts-core-1.3.8.jar                                                                                                                                   
ln -s $(build-classpath struts) struts-core.jar
rm commons-io-1.1.jar
ln -s $(build-classpath commons-io)
rm commons-logging-1.0.4.jar                                                                                                                               
ln -s $(build-classpath commons-logging)
rm jstl-1.0.6.jar                                                                                                                                          
ln -s $(build-classpath jakarta-taglibs-core) jstl.jar
rm commons-validator-1.3.1.jar                                                                                                                             
ln -s $(build-classpath commons-validator)
rm struts-extras-1.3.8.jar                                                                                                                                 
ln -s $(build-classpath struts-extras)
rm commons-beanutils-1.7.0.jar                                                                                                                             
ln -s $(build-classpath commons-beanutils)
rm commons-digester-1.8.jar                                                                                                                                
ln -s $(build-classpath commons-digester)
rm commons-fileupload-1.1.1.jar                                                                                                                            
ln -s $(build-classpath commons-fileupload)
[ -z "`find ! -type l -name '*.jar'`" ] || exit 1
popd
rm $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-examples-%{version}.war
zip -q -r $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-examples-%{version}.war .
popd
rm -rf faces-example1.war
mkdir faces-example1.war
pushd faces-example1.war
unzip -qq $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-faces-example1-%{version}.war
pushd WEB-INF/lib
# struts-faces-example1-1.3.8.war
%if %without jsf_ri
rm myfaces-impl-1.0.9.jar                                                                                                                                  
cp -p $(build-classpath myfaces/myfaces-impl) .
%endif
rm oro-2.0.8.jar                                                                                                                                        
ln -s $(build-classpath oro)
rm commons-collections-1.7.0.jar
ln -s $(build-classpath commons-collections)
rm struts-taglib-1.3.8.jar
ln -s $(build-classpath struts-taglib)
rm standard-1.0.2.jar
ln -s $(build-classpath jakarta-taglibs-standard) standard.jar
rm struts-tiles-1.3.8.jar
ln -s $(build-classpath struts-tiles)
%if %without jsf_ri
rm myfaces-jsf-api-1.0.9.jar
cp -p $(build-classpath myfaces/myfaces-jsf-api) .
%endif
rm antlr-2.7.2.jar
ln -s $(build-classpath antlr)
rm commons-chain-1.1.jar
ln -s $(build-classpath commons-chain)
rm struts-core-1.3.8.jar
ln -s $(build-classpath struts) struts-core.jar
rm commons-logging-1.0.4.jar
ln -s $(build-classpath commons-logging)
rm commons-el-1.0.jar
ln -s $(build-classpath commons-el)
%if %without jsf_ri
rm myfaces-extensions-1.0.9.jar
cp -p $(build-classpath myfaces/tomahawk) myfaces-extensions.jar
%endif
rm commons-validator-1.3.1.jar
ln -s $(build-classpath commons-validator)
rm commons-beanutils-1.7.0.jar
ln -s $(build-classpath commons-beanutils)
rm struts-faces-1.3.8.jar
ln -s $(build-classpath struts-faces)
rm commons-digester-1.8.jar
ln -s $(build-classpath commons-digester)
rm commons-codec-1.2.jar
ln -s $(build-classpath commons-codec)
rm jstl-1.0.2.jar
ln -s $(build-classpath jakarta-taglibs-core) jstl.jar
%if %with jsf_ri
rm el-api-1.0.jar
#ln -s $(build-classpath tomcat6-el-1.0-api) el-api-1.0.jar
rm jsf-api-1.2_10.jar
#ln -s $(build-classpath jsf-api)
rm jsf-impl-1.2_10.jar
#ln -s $(build-classpath jsf-impl)
rm jsp-2.1-api-2.1.jar
#ln -s $(tomcat6-jsp-2.1-api) jsp-2.1-api-2.1.jar
%endif
[ -z "`find ! -type l -name '*.jar' -a ! -name 'myfaces*'`" ] || exit 1
popd
rm $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-faces-example1-%{version}.war
zip -q -r $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-faces-example1-%{version}.war .
popd
rm -rf faces-example2.war
mkdir faces-example2.war
pushd faces-example2.war
unzip -qq $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-faces-example2-%{version}.war
pushd WEB-INF/lib
# struts-faces-example2-1.3.8.war
%if %without jsf_ri
rm myfaces-impl-1.0.9.jar
cp -p $(build-classpath myfaces/myfaces-impl) .
%endif
rm oro-2.0.8.jar                                                                                                                                           
ln -s $(build-classpath oro)
rm commons-collections-1.7.0.jar
ln -s $(build-classpath commons-collections)
rm struts-taglib-1.3.8.jar
ln -s $(build-classpath struts-taglib)
rm standard-1.0.2.jar
ln -s $(build-classpath jakarta-taglibs-standard) standard.jar
rm struts-tiles-1.3.8.jar
ln -s $(build-classpath struts-tiles)
%if %without jsf_ri
rm myfaces-jsf-api-1.0.9.jar
cp -p $(build-classpath myfaces/myfaces-jsf-api) .
%endif
rm antlr-2.7.2.jar                                                                                                                                         
ln -s $(build-classpath antlr)
rm commons-chain-1.1.jar
ln -s $(build-classpath commons-chain)
rm struts-core-1.3.8.jar
ln -s $(build-classpath struts) struts-core.jar
rm commons-logging-1.0.4.jar
ln -s $(build-classpath commons-logging)
rm commons-el-1.0.jar
ln -s $(build-classpath commons-el)
%if %without jsf_ri
rm myfaces-extensions-1.0.9.jar
cp -p $(build-classpath myfaces/tomahawk) myfaces-extensions.jar
%endif
rm commons-validator-1.3.1.jar
ln -s $(build-classpath commons-validator)
rm commons-beanutils-1.7.0.jar
ln -s $(build-classpath commons-beanutils)
rm struts-faces-1.3.8.jar
ln -s $(build-classpath struts-faces)
rm commons-digester-1.8.jar
ln -s $(build-classpath commons-digester)
rm commons-codec-1.2.jar
ln -s $(build-classpath commons-codec)
rm jstl-1.0.2.jar
ln -s $(build-classpath jakarta-taglibs-core) jstl.jar
%if %with jsf_ri
rm el-api-1.0.jar
#ln -s $(build-classpath tomcat6-el-1.0-api) el-api-1.0.jar
rm jsf-api-1.2_10.jar
#ln -s $(build-classpath jsf-api)
rm jsf-impl-1.2_10.jar
#ln -s $(build-classpath jsf-impl)
rm jsp-2.1-api-2.1.jar
#ln -s $(tomcat6-jsp-2.1-api) jsp-2.1-api-2.1.jar
%endif
[ -z "`find ! -type l -name '*.jar' -a ! -name 'myfaces*'`" ] || exit 1
popd
rm $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-faces-example2-%{version}.war
zip -q -r $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-faces-example2-%{version}.war .
popd
rm -rf mailreader.war
mkdir mailreader.war
pushd mailreader.war
unzip -qq $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-mailreader-%{version}.war
pushd WEB-INF/lib
# struts-mailreader-1.3.8.war
rm oro-2.0.8.jar
ln -s $(build-classpath oro)
rm struts-taglib-1.3.8.jar
ln -s $(build-classpath struts-taglib)
rm antlr-2.7.2.jar
ln -s $(build-classpath antlr)
rm commons-chain-1.1.jar
ln -s $(build-classpath commons-chain)
rm commons-beanutils-1.8.0.jar
ln -s $(build-classpath commons-beanutils)
rm struts-core-1.3.8.jar
ln -s $(build-classpath struts) struts-core.jar
rm commons-logging-1.0.4.jar
ln -s $(build-classpath commons-logging)
rm commons-collections-3.1.jar
ln -s $(build-classpath commons-collections)
rm commons-validator-1.3.1.jar
ln -s $(build-classpath commons-validator)
rm struts-extras-1.3.8.jar
ln -s $(build-classpath struts-extras)
rm struts-mailreader-dao-1.3.8.jar
ln -s $(build-classpath struts-mailreader-dao)
rm commons-digester-1.8.jar
ln -s $(build-classpath commons-digester)
[ -z "`find ! -type l -name '*.jar'`" ] || exit 1
popd
rm $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-mailreader-%{version}.war
zip -q -r $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-mailreader-%{version}.war .
popd
rm -rf scripting-mailreader.war
mkdir scripting-mailreader.war
pushd scripting-mailreader.war
unzip -qq $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-scripting-mailreader-%{version}.war
pushd WEB-INF/lib
rm commons-digester-1.8.jar
ln -s $(build-classpath commons-digester)
rm groovy-all-1.0-jsr-04.jar
cp -p $(build-classpath groovy-all) groovy-all.jar
rm antlr-2.7.2.jar
ln -s $(build-classpath antlr)
rm commons-validator-1.3.1.jar
ln -s $(build-classpath commons-validator)
rm struts-extras-1.3.8.jar
ln -s $(build-classpath struts-extras)
rm commons-logging-1.0.4.jar
ln -s $(build-classpath commons-logging)
rm struts-core-1.3.8.jar
ln -s $(build-classpath struts) struts-core.jar
rm oro-2.0.8.jar
ln -s $(build-classpath oro)
rm commons-chain-1.1.jar
ln -s $(build-classpath commons-chain)
rm commons-collections-3.1.jar
ln -s $(build-classpath commons-collections)
rm struts-scripting-1.3.8.jar
ln -s $(build-classpath struts-scripting)
rm bsf-2.3.0.jar
ln -s $(build-classpath bsf)
rm struts-taglib-1.3.8.jar
ln -s $(build-classpath struts-taglib)
rm commons-beanutils-1.7.0.jar
ln -s $(build-classpath commons-beanutils)
rm struts-mailreader-dao-1.3.8.jar
ln -s $(build-classpath struts-mailreader-dao)
[ -z "`find ! -type l -name '*.jar' -a ! -name 'groovy*'`" ] || exit 1
popd
rm $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-scripting-mailreader-%{version}.war
zip -q -r $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/struts-scripting-mailreader-%{version}.war .
popd
popd

rm -rf struts-%{version}/apps
mkdir -p struts-%{version}/apps
cp -p $RPM_BUILD_DIR/%{name}-%{version}/src/assembly/target/apps/*.war struts-%{version}/apps/
rm src/assembly/target/assembly/out/struts-%{version}-apps.zip
zip -q -r src/assembly/target/assembly/out/struts-%{version}-apps.zip struts-%{version}/apps/
%endif
%endif

%if %with zips
install -dm 755 $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/
%{__install} -p -m 0644 src/assembly/target/assembly/out/struts-%{version}-all.zip %{buildroot}%{_javadir}/jbossas-fordev/%{name}-%{version}-all.zip
%{__install} -p -m 0644 src/assembly/target/assembly/out/struts-%{version}-lib.zip %{buildroot}%{_javadir}/jbossas-fordev/%{name}-%{version}-lib.zip
%if %with apps
%{__install} -p -m 0644 src/assembly/target/assembly/out/struts-%{version}-apps.zip %{buildroot}%{_javadir}/jbossas-fordev/%{name}-%{version}-apps.zip
%endif
%{__install} -p -m 0644 src/assembly/target/assembly/out/struts-%{version}-src.zip %{buildroot}%{_javadir}/jbossas-fordev/%{name}-%{version}-src.zip
%{__install} -p -m 0644 src/assembly/target/assembly/out/struts-%{version}-docs.zip %{buildroot}%{_javadir}/jbossas-fordev/%{name}-%{version}-docs.zip
%endif

rm -rf docs-tmp/
mkdir docs-tmp/
unzip -qq src/assembly/target/assembly/out/struts-%{version}-docs.zip -d docs-tmp/
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs-tmp/struts-%{version}/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -Rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs/apidocs
pushd $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs/
ln -s %{_javadocdir}/%{name} apidocs
popd

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %without coreonly
%post el
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun el
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post faces
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun faces
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post mailreader-dao
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun mailreader-dao
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post scripting
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun scripting
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post taglib
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun taglib
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post tiles
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun tiles
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
%endif

%files
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%doc %{_docdir}/%{name}-%{version}/NOTICE.txt
%{_javadir}/%{name}-apps
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-core-%{version}.jar
%{_javadir}/%{name}-core.jar
%{_javadir}/%{name}-extras-%{version}.jar
%{_javadir}/%{name}-extras.jar
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/apps
%if %with apps
%{_datadir}/maven2/poms/JPP-struts-apps.pom                                                                                                                                                                                         
%endif
%{_datadir}/maven2/poms/JPP-struts-assembly.pom                                                                                                                                                                                     
%{_datadir}/maven2/poms/JPP-struts-el.pom                                                                                                                                                                                           
%{_datadir}/maven2/poms/JPP-struts-extras.pom                                                                                                                                                                                       
%{_datadir}/maven2/poms/JPP-struts-faces.pom                                                                                                                                                                                        
%{_datadir}/maven2/poms/JPP-struts-it-apps.pom                                                                                                                                                                                      
%{_datadir}/maven2/poms/JPP-struts-it.pom                                                                                                                                                                                           
%{_datadir}/maven2/poms/JPP-struts-mailreader-dao.pom                                                                                                                                                                               
%{_datadir}/maven2/poms/JPP-struts-parent.pom                                                                                                                                                                                       
%{_datadir}/maven2/poms/JPP-struts-scripting.pom                                                                                                                                                                                    
%{_datadir}/maven2/poms/JPP-struts-taglib.pom                                                                                                                                                                                       
%{_datadir}/maven2/poms/JPP-struts-tiles.pom                                                                                                                                                                                        
%{_datadir}/maven2/poms/JPP-struts.pom
%if %with apps
%{_datadir}/maven2/poms/JPP.struts-apps-blank.pom
%{_datadir}/maven2/poms/JPP.struts-apps-cookbook.pom
%{_datadir}/maven2/poms/JPP.struts-apps-el-example.pom
%{_datadir}/maven2/poms/JPP.struts-apps-examples.pom
%{_datadir}/maven2/poms/JPP.struts-apps-faces-example1.pom
%{_datadir}/maven2/poms/JPP.struts-apps-faces-example2.pom
%{_datadir}/maven2/poms/JPP.struts-apps-mailreader.pom
%{_datadir}/maven2/poms/JPP.struts-apps-scripting-mailreader.pom
%endif
%{_datadir}/%{name}/struts-bean-el.tld
%{_datadir}/%{name}/struts-bean.tld
%{_datadir}/%{name}/struts-config_1_0.dtd
%{_datadir}/%{name}/struts-config_1_1.dtd
%{_datadir}/%{name}/struts-config_1_2.dtd
%{_datadir}/%{name}/struts-config_1_3.dtd
%{_datadir}/%{name}/struts-faces.tld
%{_datadir}/%{name}/struts-html-el.tld
%{_datadir}/%{name}/struts-html.tld
%{_datadir}/%{name}/struts-logic-el.tld
%{_datadir}/%{name}/struts-logic.tld
%{_datadir}/%{name}/struts-nested.tld
%{_datadir}/%{name}/struts-tiles-el.tld
%{_datadir}/%{name}/struts-tiles.tld
%{_datadir}/%{name}/tiles-config_1_1.dtd
%{_datadir}/%{name}/tiles-config_1_3.dtd
%{_datadir}/%{name}/validator-rules-compressed.xml
%{_datadir}/%{name}/validator-rules.xml
%{_datadir}/%{name}/web-app_2_3.dtd
%{_mavendepmapfragdir}/%{name}
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files manual
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/*
%exclude %doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%exclude %doc %{_docdir}/%{name}-%{version}/NOTICE.txt

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %without coreonly
%files el
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-el-%{version}.jar
%{_javadir}/%{name}-el.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-el-%{version}.jar.*
%endif

%files faces
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-faces-%{version}.jar
%{_javadir}/%{name}-faces.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-faces-%{version}.jar.*
%endif

%files mailreader-dao
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-mailreader-dao-%{version}.jar
%{_javadir}/%{name}-mailreader-dao.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-mailreader-dao-%{version}.jar.*
%endif

%files scripting
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-scripting-%{version}.jar
%{_javadir}/%{name}-scripting.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-scripting-%{version}.jar.*
%endif

%files taglib
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-taglib-%{version}.jar
%{_javadir}/%{name}-taglib.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-taglib-%{version}.jar.*
%endif

%files tiles
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-tiles-%{version}.jar
%{_javadir}/%{name}-tiles.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-tiles-%{version}.jar.*
%endif

%if %with apps
%files webapp-blank
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/apps/blank.war

%files webapp-cookbook
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/apps/cookbook.war

%files webapp-el-example
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/apps/el-example.war

%files webapp-examples
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/apps/examples.war

%files webapps-faces
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/apps/faces-example1.war
%{_datadir}/%{name}/apps/faces-example2.war

%files webapp-mailreader
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/apps/mailreader.war

%files webapp-scripting-mailreader
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/apps/scripting-mailreader.war
%endif
%endif

%if %with zips
%files zip
%defattr(0644,jboss,jboss,0755)
%dir %{_javadir}/jbossas-fordev
%{_javadir}/jbossas-fordev/%{name}-%{version}-all.zip
%{_javadir}/jbossas-fordev/%{name}-%{version}-lib.zip
%if %with apps
%{_javadir}/jbossas-fordev/%{name}-%{version}-apps.zip
%endif
%{_javadir}/jbossas-fordev/%{name}-%{version}-docs.zip

%files src-zip
%defattr(0644,jboss,jboss,0755)
%dir %{_javadir}/jbossas-fordev
%{_javadir}/jbossas-fordev/%{name}-%{version}-src.zip
%endif

%changelog
* Tue May 12 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.45
- don't backup patches when backup files will end up in wars

* Tue May 12 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.44
- rebuild with myfaces

* Tue May 12 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.43
- don't symlink in JSF or other provided jars

* Tue May 12 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.42
- update webapp fixes

* Mon May 11 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.41
- update JSF RI patch

* Mon May 11 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.40
- patch to change web.xml versions from 2.2 to 2.3

* Fri May 08 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.39
- use included groovy jar

* Thu May 07 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.38
- enable apps

* Thu May 07 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.37
- fix web.xml files in apps/faces-example{1,2}

* Wed May 06 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.36
- version javadoc requirement in manual package
- change incorrect PreReq to Requires

* Wed May 06 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.35
- add partial JSF RI (GlassFish) support
- make apps optional

* Tue May 05 2009 Martha Benitez <mbenitez@redhat.com> 0:1.3.8-1.34
- Change location of manual files.

* Tue May 05 2009 Permaine Cheung <pcheung@redhat.com> 0:1.3.8-1.33
- Add missing Requires to a few subpackages

* Mon May 04 2009 Martha Benitez <mbenitez@redhat.com> 0:1.3.8-1.32
- Install manual files directly to docdir instead of temporary directory.

* Fri May 01 2009 Martha Benitez <mbenitez@redhat.com> 0:1.3.8-1.31
- Replace link to apidocs

* Thu Apr 30 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.30
- fix location of .jar files in .war files
- rebuild for jakarta-commons-fileupload fix

* Wed Apr 29 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.29
- add struts-core jar symlinks
- manually create .war files and apps .zip
- fix file list
- fix coreonly option

* Wed Apr 29 2009 Martha Benitez <mbenitez@redhat.com> 0:1.3.8-1.28
- Remove link to apidocs

* Thu Apr 23 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.27
- update versions patch for <http://jira.codehaus.org/browse/MWAR-116>

* Thu Apr 23 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.26
- update versions patch for war files in addition to assemblies

* Thu Apr 23 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.25
- update versions patch

* Wed Apr 22 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.24
- add patch to prevent versions in included dependencies

* Tue Apr 21 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.23
- remove Requires: junit

* Mon Apr 20 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.22
- symlink javadocs inside manual

* Mon Apr 20 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.21
- add EVR to struts Requires
- set strict %%defattr

* Fri Apr 17 2009 Martha Benitez <mbenitez@redhat.com> 0:1.3.8-1.20
- Replace excalibur-avalon-* with avalon-*

* Fri Apr 17 2009 Deepak Bhole <dbhole@redhat.com> 0:1.3.8-1.19
- Remove myfaces requirement, as it is optional

* Thu Apr 16 2009 Deepak Bhole <dbhole@redhat.com> 0:1.3.8-1.18
- Remove unused zip creation code
- Fix mapping for servletapi during tests

* Mon Apr 13 2009 Fernando Nasser <fnasser@redhat.com> 0:1.3.8-1.17
- Clean all but sources before starting the build

* Mon Apr 13 2009 Fernando Nasser <fnasser@redhat.com> 0:1.3.8-1.16
- Create the dtddocs (was patched out)

* Thu Apr 09 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.15
- add Epoch to dependencies

* Tue Apr 07 2009 Fernando Nasser <fnasser@redhat.com> 0:1.3.8-1.14
- Fix typo

* Tue Apr 07 2009 Fernando Nasser <fnasser@redhat.com> 0:1.3.8-1.13
- Fix links to struts JARs

* Tue Apr 07 2009 Fernando Nasser <fnasser@redhat.com> 0:1.3.8-1.12
- Fix link creation as no links were being created
- We hadcopy groovy as we don't want to ship it
- Follow the convention that expanded WAR files are in a *.war directory

* Wed Apr 01 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.11
- symlinks should be created at install time, not post-install
- remove deprecated PreReq tags
- fix GCJ support

* Tue Mar 31 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.10
- add the all zip
- use maven built zips

* Tue Mar 31 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.9
- build assembly

* Mon Mar 30 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.8
- build release

* Mon Mar 30 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.7
- fix BuildRoot and GCJ support

* Fri Mar 27 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.6
- make zip support optional

* Fri Mar 27 2009 David Walluck <dwalluck@redhat.com> 0:1.3.8-1.5
- own %%{_javadir}/jbossas-fordev directories

* Mon Feb 23 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.3.8-1.4
- Rebuild with full zips

* Fri Feb 20 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.3.8-1.3
- Rebuild with zips

* Sun Feb 01 2009 Fernando Nasser <fnasser@redhat.com> - 0:1.3.8-1.2
- Rebuild with modified javadoc plugin
- Update site.xml files syntax for the new site plugin
- Add BR maven2-skins
  From Deepak Bhole <dbhole@redhat.com>:
- Add default skin to site.xml
- Copy master pom under <name>-<version>.pom name
- Include struts_check.xml in the build to avoid net access
- Use older servlet and jsp apis to compile, then switch to newer for testing

* Fri Jan 30 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.3.8-1.1
- Add BR maven-surefire-provider-junit
- Add BR maven-shared-dependency-analyzer and maven-shared-dependency-tree
- Add BR maven-shared and maven-shared-reporting-impl
- Add BR maven-shared-jar
- Add BR plexus-resources
- Change groovy-jsr to groovy
- Change location of struts-master.pom
- Change jpackage-utils >= 1.7.5 to  jpackage-utils >= 1.7.3
- Change BR maven-surefire-plugin to maven-surefire-maven-plugin
- Change BR maven-surefire-report-plugin to maven-surefire-report-maven-plugin
- Switch to tomcat5 servlet/jsp apis

* Thu Nov 05 2008 Ralph Apel <r.apel at r-apel.de> - 0:1.3.8-1.jpp5
- 1.3.8

* Tue Feb 27 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.2.9-5jpp
- Drop tomcat5 BR when building coreonly
- Fix gcj_support build

* Fri Aug 25 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.2.9-4jpp
- Fix requirements

* Tue Aug 22 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.9-3jpp.1
- Merge with upstream for upgrade to 1.2.9
- Use symlinks instead of actual files in WEB-INF/lib folders
- Add conditional native compilation

* Tue Aug 22 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.9-3jpp
- Remove duplicate macros
- Fix removal of old struts-el documentation link
- Create coreonly option

* Thu Apr 06 2006 Ralph Apel <r.apel@r-apel.de> - 0:1.2.9-2jpp
- Switch to _javadir/cactus-14/*.jar
- Thus require cactus >= 1.7.1-2jpp

* Wed Mar 29 2006 Ralph Apel <r.apel@r-apel.de> - 0:1.2.9-1jpp
- Upgrade to 1.2.9

* Thu Oct 20 2005 Ralph Apel <r.apel@r-apel.de> - 0:1.2.7-2jpp
- Add struts-chain subpackages
- Add struts-el subpackages
- Add struts-faces subpackages

* Tue Jul 26 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.2.7-1jpp
- Upgrade to 1.2.7

* Fri May 27 2005 Gary Benson <gbenson@redhat.com> - 0:1.2.4-2jpp
- Build with servletapi5.
- Add build dependency on ant-nodeps.

* Tue Feb  1 2005 Joe Orton <jorton@redhat.com>
- Change webapps subpackages' tomcat dependencies to prereqs.

* Fri Nov 26 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.2.4-1jpp
- Upgrade to 1.2.4

* Sat Sep 04 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.1-3jpp
- Rebuilt with Ant 1.6.2

* Sat Jan 10 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.1-2jpp
- Fixed runtime requires
- Fix examples by making symlinks work in their respective (sub-)directories,
  the template comes for tomcat4 from Source #2 and for tomcat5 from Source #3

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.1-1jpp
- Updated to 1.1
- Use tomcat4 real webapps dir instead of -compat provided app dir
- To compile against < JDK 1.4 jdkmajorver needs to be set to 1.3

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0.2-4jpp
- for jpackage-utils 1.5

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-3jpp 
- fixed incorrect files in manual package

* Wed Mar 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-2jpp 
- corrected URL
- cleaned webapps
- tagged webapps

* Sun Mar 24 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-1jpp 
- 1.0.2
- generic servlet support
- distinct webapps for tomcat3 and tomcat4
- no duplicate files for webapps
- correct file ownership for webapps

* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- section macro
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependencies for webapp package
- requires tomcat3
- no more requires servlet3 as tomcat3 requires it
- requires and buildrequires xalan-j2 >= 2.2.0
- adaptation to new servlet3 package
- adaptation to new xalan-j2 package
- adapation to new tomcat3 package
- uncompressed webapps

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- javadoc into javadoc package

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-2jpp
- removed packager tag
- new jpp extension
- added xalan 2.2.D13 support

* Thu Nov 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1jpp
- first JPackage release
